Bug 206258 - tmpwatch should not delete aquota.user and aquota.group
tmpwatch should not delete aquota.user and aquota.group
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tmpwatch (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 06:09 EDT by Kay Diederichs
Modified: 2008-12-03 07:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-03 07:40:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kay Diederichs 2006-09-13 06:09:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de-DE; rv:1.8.0.5) Gecko/20060805 CentOS/1.0.3-0.el4.1.centos4 SeaMonkey/1.0.3

Description of problem:
If /tmp  and/or  /var/tmp are their partition, the daily tmpwatch might delete the files aquota.user and aquota.group if they were not modified recently.

Version-Release number of selected component (if applicable):
tmpwatch-2.9.1-1.x86_64

How reproducible:
Always


Steps to Reproduce:
1. mount /tmp and /var/tmp on their own partition
2. enable quotas for these filesystems, generate aquota.user and aquota.group using quotacheck
3. wait long enough (10 days for /tmp, 30 for /var/tmp)

Actual Results:
tmpwatch deletes those files

Expected Results:
tmpwatch should not delete these files as they are required

Additional info:
A workaround is to modify /etc/cron.daily/tmpwatch and include these files . This should be the default for /etc/cron.daily/tmpwatch .
Comment 1 Miloslav Trmač 2006-09-13 18:19:12 EDT
Thanks for the bug report.

If you are a RHEL customer and have an active support entitlement, please contact
official Red Hat Support at https://www.redhat.com/apps/support/ to allow correct
prioritization of this issue.
Comment 2 RHEL Product and Program Management 2008-02-01 14:12:17 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 RHEL Product and Program Management 2008-10-31 12:41:07 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 Miroslav Vadkerti 2008-11-14 08:55:33 EST
verified on i386, both files are not deleted
Comment 10 Miroslav Vadkerti 2008-11-19 08:42:09 EST
verified on all other archs, both files are preserved
Comment 13 errata-xmlrpc 2008-12-03 07:40:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0989.html

Note You need to log in before you can comment on or make changes to this bug.